Bug 591626 - Seg Fault on definition containing password_test
Seg Fault on definition containing password_test
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openscap (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 13:51 EDT by Ed Sealing
Modified: 2010-10-05 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 08:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Definition to ensure only system accounts have UID less-than 500 (3.82 KB, text/xml)
2010-05-12 13:51 EDT, Ed Sealing
no flags Details
output (9.77 KB, text/plain)
2010-05-12 13:53 EDT, Ed Sealing
no flags Details

  None (edit)
Description Ed Sealing 2010-05-12 13:51:38 EDT
Created attachment 413505 [details]
Definition to ensure only system accounts have UID less-than 500

Description of problem:
Unable to probe attached valid definition (uses password_test)

Version-Release number of selected component (if applicable):
0.5.10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Segmentation Fault (see attached output)

Expected results:
True or False

Additional info:
Used the python bindings to setup probe. Probing works on other test files that I have.
Comment 1 Ed Sealing 2010-05-12 13:53:06 EDT
Created attachment 413507 [details]
output

Output of bug is attached.
Comment 2 Bug Zapper 2010-07-30 07:37:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.